> ## Documentation Index
> Fetch the complete documentation index at: https://docs.itshandled.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Return



## OpenAPI

````yaml POST /returns
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: http://api.withzimi.com
security:
  - bearerAuth: []
tags:
  - name: Authentication
  - name: Account
  - name: Saved Table Filters
  - name: Verifications
  - name: Shopify
  - name: Amazon
  - name: Integrations
  - name: Fulfillment Orders
  - name: Returns
  - name: Locations
  - name: Customers
  - name: Inbound Transfers
  - name: Products
  - name: Media
  - name: Events
  - name: Product Categories
  - name: Product Options
  - name: Inventory
  - name: Analytics
  - name: Accounts
  - name: Account Alerts
  - name: Account Markets
  - name: Countries
  - name: Feature Flags
  - name: Experiments
  - name: Emobot
  - name: Automation Workflows
  - name: Automation Workflows Request
  - name: Billing
  - name: Misc
    description: ''
paths:
  /returns:
    parameters: []
    post:
      tags:
        - Returns
      summary: Create Manual Return
      operationId: CreateManualReturn
      parameters: []
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/CreateManualReturnRequest'
                - examples:
                    - email: customer@example.com
                      receive_by: '2024-09-01'
                      total_price: 100
                      currency: USD
                      weight: 23
                      weight_unit: g
                      reason_of_return: This is reason
                      length: 10
                      width: 10
                      height: 10
                      dimension_unit: cm
                      return_line_items:
                        - quantity: 1
                          unreceived_quantity: 0
                          name: Product A
                          price: 119
                          currency: USD
                          merchant_sku: GHSAK42157614 - M
                        - quantity: 2
                          unreceived_quantity: 1
                          name: Product B
                          price: 25
                          currency: USD
                          merchant_sku: SKU67890
              contentMediaType: application/json
            example:
              email: customer@example.com
              receive_by: '2024-09-01'
              total_price: 100
              currency: USD
              weight: 23
              weight_unit: g
              reason_of_return: This is reason
              length: 10
              width: 10
              height: 10
              dimension_unit: cm
              return_line_items:
                - quantity: 1
                  unreceived_quantity: 0
                  name: Product A
                  price: 119
                  currency: USD
                  merchant_sku: GHSAK42157614 - M
                - quantity: 2
                  unreceived_quantity: 1
                  name: Product B
                  price: 25
                  currency: USD
                  merchant_sku: SKU67890
        required: true
      responses:
        '200':
          description: ''
          headers: {}
      deprecated: false
      security:
        - bearer: []
components:
  schemas:
    CreateManualReturnRequest:
      title: CreateManualReturnRequest
      required:
        - email
        - receive_by
        - total_price
        - currency
        - weight
        - weight_unit
        - reason_of_return
        - length
        - width
        - height
        - dimension_unit
        - return_line_items
      type: object
      properties:
        email:
          type: string
        receive_by:
          type: string
        total_price:
          type: number
        currency:
          type: string
        weight:
          type: integer
          contentEncoding: int32
        weight_unit:
          type: string
        reason_of_return:
          type: string
        length:
          type: integer
          contentEncoding: int32
        width:
          type: integer
          contentEncoding: int32
        height:
          type: integer
          contentEncoding: int32
        dimension_unit:
          type: string
        return_line_items:
          type: array
          items:
            $ref: '#/components/schemas/ReturnLineItem'
          description: ''
      examples:
        - email: customer@example.com
          receive_by: '2024-09-01'
          total_price: 100
          currency: USD
          weight: 23
          weight_unit: g
          reason_of_return: This is reason
          length: 10
          width: 10
          height: 10
          dimension_unit: cm
          return_line_items:
            - quantity: 1
              unreceived_quantity: 0
              name: Product A
              price: 119
              currency: USD
              merchant_sku: GHSAK42157614 - M
            - quantity: 2
              unreceived_quantity: 1
              name: Product B
              price: 25
              currency: USD
              merchant_sku: SKU67890
    ReturnLineItem:
      title: ReturnLineItem
      required:
        - quantity
        - unreceived_quantity
        - name
        - price
        - currency
        - merchant_sku
      type: object
      properties:
        quantity:
          type: integer
          contentEncoding: int32
        unreceived_quantity:
          type: integer
          contentEncoding: int32
        name:
          type: string
        price:
          type: number
        currency:
          type: string
        merchant_sku:
          type: string
      examples:
        - quantity: 1
          unreceived_quantity: 0
          name: Product A
          price: 119
          currency: USD
          merchant_sku: GHSAK42157614 - M
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````